

import useRouter from '@/utils/hooks/useRouter'
import Taro from '@tarojs/taro'
import { useEffect, useMemo } from 'react'
import { useModel } from '@/store'

import useLogin from '@/utils/hooks/useLogin'


export default (Child) => (props) => {
  const { person } = useModel('userData')
  const router = useRouter()

  const { path } = router

  useLogin()


  // Taro.useReady(()=>{
  //   useLogin(person,router)
  // })
  // useEffect(()=>{
  //   useLogin(person,router)
  // },[person, person?.phone, router, router?.path])

  // 确保执行过 login 方法，拿到了 person
  const isLoged = useMemo(() => !!person?.personId, [person?.personId])

  return isLoged ? <Child {...props} router={router} /> : <></>
}





// export default (Child) => (props) => {
//   const { person } = useModel('userData')
//   const router = useRouter()

//   const { path } = router

//   useEffect(() => {
//     if (!person?.phone) {
//       if (path != '/pages/index/index' && path !== '/pages/UserLogin/index') {
//         Taro.navigateTo({ url: `/pages/UserLogin/index?id${1}` })
//       }
//     }
//     console.log("🚀 ~ file: index.jsx ~ line 11 ~ person", person, path)

//     // if (path != '/pages/index/index' && !person?.phone) {
//     //   Taro.navigateTo({ url: `/pages/userInfo/index?id${1}` })
//     // }
//   }, [path, person?.phone])





//   return <Child {...props} router={router} />

// }
