import { View, Image, Form, Input, Picker } from "@tarojs/components"
import Taro from "@tarojs/taro"
import { useEffect, useState } from "react"
import withLayout from '@/layouts'
import { useModel } from "@/store"
import addresss from '@/assets/mineImgaes/addresss.png'//地址
import timeImage from '@/assets/icons/comm/timeImage.png'//日期图片

import CustomNav from '@/components/CustomNav'
import ButtontWX from '@/components/ButtontWX'
import { generateOrder } from "@/services/order"
// import BottomMoadl from '@/components/BottomMoadl/index'
import { getMachineryInfo } from "@/services/homes"



import './style.less'

//为了调试，删除了withLayout 记得加上 如果我忘记的话

export default (props) => {
  //底部弹窗
  // const [showFrame, setShowFrame] = useState(false)
  // const setRecommend = () => {
  //   setShowFrame(!showFrame)
  // }

  const $instance = Taro.getCurrentInstance()
  const { id } = $instance.router.params
  const { sserLocation, setUserLocation } = useModel('userData')

  const [timeSel, setTimeSel] = useState('')
  const [carsInfo, setCarsInfo] = useState({})


  const formSubmit = (e) => {
    console.log('表单输入', e);
    Taro.navigateTo({ url: `/pages/OrderInfo/index?goOrder=${id}` })
    // generateOrder({
    //   charges: 200,
    //   price: 100,
    //   amount: 20,
    //   machineryId: '7cdf832d7a7af0c19ab33418e10e1a94',
    //   machineryName: '第一台播种机',
    //   machineryType: 'b4d183f684ed1f3d1cb2194c1975ae46',
    //   typeName: '播种机',
    //   address: '我是作业地址：房屋后面',
    //   appontmentDate: new Date(),
    // }).then(() => {
    //   Taro.navigateTo({ url: `/pages/OrderInfo/index?goOrder=${id}` })

    // })
  }
  useEffect(() => {
    // if (id) {
    //   getMachineryInfo(id, { location: sserLocation, attached: true }).then((e) => {
    //     setCarsInfo(e)
    //     console.log('e', e);
    //   })
    // }


  })
  const onTimeChange = (e) => {
    console.log('时间选择器', e);
    setTimeSel(e.detail.value)

  }
  const cancelPay = () => {
    Taro.navigateBack({
      delta: 1
    })
  }



  return (
    <View className='page-index'>
      <View className='index-navbar'>
        <CustomNav title='订单确认' />
      </View>
      {/* <BottomMoadl frameTitle='支付方式' flag={showFrame} onRecommend={setRecommend} /> */}
      <View className='pagesBox'>
        <Form onSubmit={formSubmit}  >
          <View className='example-body-WorkingArea'>
            <View>作业面积/公顷</View>
            <Input name='address' placeholder='请输入具体面积(公顷)' />
          </View>
          <View className='example-body-WorkingTime'>
            <View>作业时间：</View>
            <View className='example-body-WorkingTime-TimePicker'>
              <Image src={timeImage} />

              <Picker mode='date' onChange={onTimeChange}>
                <View className='picker' >
                  请选择时间 {timeSel}
                </View>
              </Picker>
            </View>

          </View>
          <View className='example-body-WorkingLocation'>
            <View>作业位置：</View>
            <View className='example-body-WorkingLocation-info'>
              <Image src={addresss} />
              <View>这就是我的地址位置为位置位置位置位置为阿斯顿撒旦</View>
            </View>
          </View>

          <View className='BottomtBut' >
            <ButtontWX butText='确定' onClick={formSubmit} butWidth={346} butHeight={49} butFontSize={16} butBorderRadius={49} />

            <ButtontWX butText='取消' onClick={cancelPay} butWidth={346} butHeight={49} butFontSize={16} butBorderRadius={49} />
          </View>
        </Form>

      </View>

    </View>
  )
}
