

import request from '@/utils/request'



/**
 * 订单列表
 * @param {*} data 
 * @returns 
 */
export const getOrder = (data) => request(`/order`, { data, method: 'GET' })

/**
 * 生成订单
 * @param {*} data 
 * @returns 
 */
export const generateOrder = (data) => request(`/order`, { data, method: 'POST' })
/**
* 订单详情
* @param {*} data 
* @returns 
*/
export const orderInfo = (id, data) => request(`/order/${id}`, { data, method: 'GET' })
/**
 * 删除订单
 * @param {*} data 
 * @returns 
 */
export const orderDelete = (id, data) => request(`/order/${id}`, { data, method: 'DELETE' })




