import { useState } from "react"
import { login } from '@/services/login'



export default () => {
  const [person, setPerson] = useState()
  const [sessionKey, setSessionKey] = useState()
  const [userPhoneInfo, setUserPhoneInfo] = useState()


  const [sserLocation, setUserLocation] = useState('')


  console.log("🚀 来自store的打印 person数据", person)
  console.log("🚀 来自store的打印 sserLocation定位", sserLocation)



  const logins = (params) => {
    login(params).then((res) => {
      const { person: taPerson, sessionKey: skey } = res;
      taPerson.phone = null
      setPerson(taPerson);
      setSessionKey(skey);
    })
  }

  return {
    person,
    sessionKey,

    setPerson,
    setSessionKey,

    userPhoneInfo,
    setUserPhoneInfo,

    sserLocation,
    setUserLocation,

    logins,
  }
}